public class Auto{
    //Attribute
    private String hersteller;
    private String modell;
    private int leistung; //in kW
    private int baujahr; 
    
    //Konstruktor
    public Auto(String hersteller, String modell, int leistung, int baujahr){
        this.hersteller = hersteller;
        this.modell = modell;
        this.leistung = leistung;
        this.baujahr = baujahr;
    }
    
    public String toString(){
        String ausgabe = "";
        ausgabe += "Hersteller: "+hersteller;
        ausgabe += ", Modell: "+modell;
        ausgabe += ", Leistung: "+leistung+" kW";
        ausgabe += ", Baujahr: "+baujahr;
        return ausgabe;
    }
    
    public String getHersteller(){
        return hersteller;
    }
    
    public String getModell(){
        return modell;
    }
    
    public int getLeistung(){
        return leistung;
    }
    
    public int getBaujahr(){
        return baujahr;
    }
    
    public void setHersteller(String hersteller){
        this.hersteller = hersteller;
    }
    
    public void setModell(String modell){
        this.modell = modell;
    }
    
    public void setLeistung(int leistung){
        this.leistung = leistung;
    }
    
    public void setBaujahr(int baujahr){
        this.baujahr = baujahr;
    }
    
    public void prüfeOldtimer(int aktuellesJahr){
        int alter = aktuellesJahr - baujahr;
        if(alter >= 30){
            //Auto ist ein Oldtimer
            System.out.println("Das Auto ist ein Oldtimer, da es "+alter+" Jahre alt ist.");
        }
        else{
            //Auto ist noch zu jung, um ein Oldtimer zu sein
            int jahreBisOldtimer = 30-alter;
            System.out.println("Das Auto ist noch zu jung. In "+jahreBisOldtimer+" Jahren wird das Auto zum Oldtimer");
        }
    }
}